Subject: Re: Virtual Git Contributor Summit

From: Jakub Narebski <[email-masked]>
Date: Fri, 05 Jul 2019 15:33:19 +0200

Johannes Schindelin <[email-masked]> writes:

> Team,
>
> I kept talking about this idea of a purely online Git Contributor Summit,
> and it is finally time for action.
>
> The idea: just like the Git Contributor Summits we have on the day before
> GitMerge, but instead of traveling to the same place, we'll use an online
> conferencing system.

By the way, would there be GitTogether meeting held in conjunction with
Google Summer of Code 2019 Mentors Meeting?

> From my point of view, the main benefits of doing this online are:
>
> - It should make it easier for all contributors to attend (yes, Junio, we
>   do miss you every single time you're not there).
>
> - We will leave a substantially reduced carbon footprint.
>
> - There won't be any jet-lag involved, including the consequences on
>   health/sleeping.
>
> - It is substantially cheaper and more sustainable.
>
> Of course, there are also some challenges:
>
> - Timezones. My idea here is to have all participants put down their
>   preferred timezone and then compromising on some sort of Median.
>
> - Timing. As it is not attached to a conference, we are less bound to a
>   specific date, and that flexibility might make it harder to agree
>   on one date.

Also, all the challenges of remote-only meeting instead of real-life
contact.  Though it might be good supplement to the meeting before
GitMerge.

[...]
> To coordinate this event, I started a Google Spreadsheet where we can
> decide on timezone, date(s), number of days, and later on try to imitate
> the sticky game with virtual stickies for the discussions.
>
> I will send out an invitation to the top 25 contributors (according to
> `git shortlog -nse --since=1.year.ago`) after sending out this mail.
>
> Obviously, there will be more people interested in participating; Please
> do drop me an email if you're interested and I will send you a link to
> that spreadsheet (as I do not read my mails continuously, it might take a
> day, but I will, promise).

I think it would be good idea to have some of us from Git Rev News team
to chronicle this Virtual Git Contributors Summit meeting.

Best,
--
Jakub Narębski